package com.akamai.hdcore.samples.utility
{
	import com.akamai.hd.HDNetStream;
	
	import flash.net.NetStream;
	import flash.text.TextFieldAutoSize;

	import org.openvideoplayer.components.ui.shared.view.base.BaseLabel;
	
	[ExcludeClass]
	
	public class StatsDisplay
	{
		private var view:MediaPlayerView;
		private var netStream:NetStream;
		
		// Required for a Maven/Flexmojos compile and I have no idea why.
		static private const forceRefBaseLabel:BaseLabel = new BaseLabel("");
		
		public function StatsDisplay(view:MediaPlayerView, netStream:NetStream)
		{
			this.view = view;
			this.netStream = netStream;
		}
		
		public function refreshBufferMetrics():void
		{
			if (!view.captioningView.label.textfield.wordWrap)
			{
				view.captioningView.label.textfield.wordWrap = true;
				view.captioningView.label.textfield.autoSize = TextFieldAutoSize.LEFT;				
			}
			
			view.captioningView.text = "trueBufferTime = "+Math.round(HDNetStream(netStream).trueBufferTime) +
				"  :::  targetBufferTime = "+Math.round(netStream.bufferTime) +
				"  :::  bufferLength = "+Math.round(netStream.bufferLength) +										
				"  :::  downloadRatio = "+Math.round(HDNetStream(netStream).downloadRatio)+
				"  :::  lastThrottleValue = "+Math.round(HDNetStream(netStream).lastThrottleValue) +
				"  \n   current Index = "+HDNetStream(netStream).currentIndex +" / "+HDNetStream(netStream).maxIndexAvailable +
				"  :::  autoSwitch = "+HDNetStream(netStream).autoSwitch;
//				"  \n   droppedFrames = "+Math.round(HDNetStream(netStream).droppedFrames) +
//				"  :  droppedFPS = "+Math.round(HDNetStream(netStream).droppedFPS);
			
			if (!view.captioningView.visible)
			{
				view.captioningView.visible = true;
			}
		}
	}
}